/*Google Fonts*/

body {
	font-family:  'Open-Sans', sans-serif;
}

/*CSS Reset*/
* {
	/*changes the amount of space between the "border" and it's surrounding element*/
	margin: 0;
	/*changes the amount of space between "border" and content of an element*/
	padding: 0;
	/*Border and Padding is included in the total length of an element */
	box-sizing:  border-box;
}

/*
	shorthand property
			padding value is added to all sides
			padding-top:  0.8rem;
			padding-bottom:  0.8rem;
			padding-left:  0.8rem;
			padding-right:  0.8rem;

			TOP AND BOTTOM
			padding:  0.8rem, 0.8rem, 0;

			LEFT AND RIGHT
			padding:  0rem, 0.8rem, 0.8rem;
	
 
	2 rem (root epheremal unit) === 32 pixels
	creates a space between nav and the intro section

	*/

nav {
	padding:  0.8rem;
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	text-align: center;


}

nav ul {
	list-style-type: none;
}

nav .nav, nav .nav-logo {
	/*creates space between the ul and the nav element*/
	margin:  0.5rem;
	/*changes to inline elements*/
	display: inline;
	vertical-align: middle;
}

/*Intro section*/
#intro {
	/*creates a space between the contents of the intro section and its border
	SHORTHAND: top, left and right, bottom
	padding:  2rem, 10%, 3rem*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	/*best used when horizontally aligning text instead of using margin and padding*/
	text-align: center;
}

#intro h2, #intro p {
	/*creates a space between the contents of the intro section*/
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*Thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	/*creates a space between the button text and the border*/
	padding:  1rem;
}

#succeed-info {
	/*exact same properties as the intro section but can have its own CSS rule for flexibility*/
	padding:  2rem 10% 3rem;
	/*text-align: center;*/
}

#succeed-info h2 {
	/*creates a space between the header and the card section*/
	margin-bottom: 	1rem;
}

#succeed-info h3 {
	text-align: center;
	/*creates a space betwwen the h3 tags and the paragraph tags*/
	margin-bottom: 1rem;
}

#succeed-info .card {
	/*allows the cards to appear beside each other*/
	display: inline-block;
	/*
	aligns elements wit the tallest element in Line
	used with the inline-block value
	*/
	vertical-align: top;
	/*allo cards to have equal height that adjust with the content*/
	min-height: 175px;

	/*measurement is based on equally dividing the parent's container width*/
	/*create a horizonatal spacing*/
	width:  30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}




footer {
	/*create a space between the span tags and the footer*/
		padding:  0.7rem;
}

footer span {
	/*shorthand - top bottom, left right*/
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}


/* ACTIVITY SOLUTION */

#pre-footer {
	color:  white;
	background-color: #002540;
	padding: 20px;
}

#pre-footer div {
	display: inline-block;
	width:  20%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

#pre-footer h3, #pre-footer p {
	padding: 3px;
}
